Gets the details for a specific Assured Workload.
HTTP request
GET https://{endpoint}/v2/{name=organizations/*/locations/*/workloads/*}
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the workload to retrieve. Format: |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Workload.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/assuredworkloads.readonlyhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
assuredworkloads.workload.get
For more information, see the IAM documentation.